<?php
/**
 * Reset Option
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_reset_option
 *
 */
if (!function_exists('sewa_reset_option')) :
    function sewa_reset_option()
    {
        $sewa_reset_option = array(
            'do-not-reset' 	=> esc_html__( 'Do Not Reset','sewa'),
            'reset-all' 	=> esc_html__( 'Reset All','sewa'),
        );
        return apply_filters('sewa_reset_option', $sewa_reset_option);
    }
endif;


/**
 * Breadcrumb  display option options
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_show_breadcrumb_option
 *
 */
if (!function_exists('sewa_show_breadcrumb_option')) :
    function sewa_show_breadcrumb_option()
    {
        $sewa_show_breadcrumb_option = array(
            'enable'  => esc_html__('Enable', 'sewa'),
            'disable' => esc_html__('Disable','sewa')
        );
        return apply_filters('sewa_show_breadcrumb_option', $sewa_show_breadcrumb_option);
    }
endif;


/**
 * Top Header Section Hide/Show  options
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_show_top_header_section_option
 *
 */
if (!function_exists('sewa_show_top_header_section_option')) :
    function sewa_show_top_header_section_option()
    {
        $sewa_show_top_header_section_option = array(
            'show' => esc_html__('Show', 'sewa'),
            'hide' => esc_html__('Hide', 'sewa')
        );
        return apply_filters('sewa_show_top_header_section_option', $sewa_show_top_header_section_option);
    }
endif;


/**
 * Show/Hide Feature Image  options
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_show_feature_image_option
 *
 */
if (!function_exists('sewa_show_feature_image_option')) :
    function sewa_show_feature_image_option()
    {
        $sewa_show_feature_image_option = array(
            'show' => esc_html__('Show', 'sewa'),
            'hide' => esc_html__('Hide', 'sewa')
        );
        return apply_filters('sewa_show_feature_image_option', $sewa_show_feature_image_option);
    }
endif;


/**
 * Slider  options
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_slider_option
 *
 */
if (!function_exists('sewa_slider_option')) :
    function sewa_slider_option()
    {
        $sewa_slider_option = array(
            'show' => esc_html__('Show', 'sewa'),
            'hide' => esc_html__('Hide', 'sewa')
        );
        return apply_filters('sewa_slider_option', $sewa_slider_option);
    }
endif;

/**
 * Slider Type 
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_slider_type
 *
 */
if (!function_exists('sewa_slider_type')) :
    function sewa_slider_type()
    {
        $sewa_slider_type = array(
            'default' => esc_html__('Default', 'sewa'),
            'fade' => esc_html__('Fade', 'sewa')
        );
        return apply_filters('sewa_slider_type', $sewa_slider_type);
    }
endif;

/**
 * Slider Text Alignment 
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_slider_alignment
 *
 */
if (!function_exists('sewa_slider_alignment')) :
    function sewa_slider_alignment()
    {
        $sewa_slider_alignment = array(
            'left' => esc_html__('Left', 'sewa'),
            'center' => esc_html__('Center', 'sewa'),
            'right' => esc_html__('Right', 'sewa')
        );
        return apply_filters('sewa_slider_alignment', $sewa_slider_alignment);
    }
endif;

/**
 * Sidebar layout options
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_sidebar_layout
 *
 */
if (!function_exists('sewa_sidebar_layout')) :
    function sewa_sidebar_layout()
    {
        $sewa_sidebar_layout = array(
            'right-sidebar'   => esc_html__('Right Sidebar', 'sewa'),
            'left-sidebar'    => esc_html__('Left Sidebar', 'sewa'),
            'no-sidebar'      => esc_html__('No Sidebar', 'sewa'),
        );
        return apply_filters('sewa_sidebar_layout', $sewa_sidebar_layout);
    }
endif;

/**
 * Blog/Archive Description Option
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_blog_excerpt
 *
 */
if ( !function_exists( 'sewa_blog_excerpt' ) ) :
    
    function sewa_blog_excerpt()
    
    {
        $sewa_blog_excerpt = array(
            'excerpt' => esc_html__('Excerpt', 'sewa'),
            'content' => esc_html__('Content', 'sewa'),

        );
        return apply_filters('sewa_blog_excerpt', $sewa_blog_excerpt);
    }
endif;

/**
 * Header Search Option
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_header_search
 *
 */
if ( !function_exists( 'sewa_header_search' ) ) :
    
    function sewa_header_search()
    
    {
        $sewa_header_search = array(
            'show' => esc_html__('Show Search', 'sewa'),
            'hide' => esc_html__('Hide Search', 'sewa'),

        );
        return apply_filters('sewa_header_search', $sewa_header_search);
    }
endif;

/**
 * Pagination Options for Blog Page. 
 *
 * @since Sewa 1.0.0
 *
 * @param null
 * @return array $sewa_header_search
 *
 */
if ( !function_exists( 'sewa_pagination_types' ) ) :
    
    function sewa_pagination_types()
    
    {
        $sewa_pagination_types = array(
            'default' => esc_html__('Default', 'sewa'),
            'numeric' => esc_html__('Numeric', 'sewa'),

        );
        return apply_filters('sewa_pagination_types', $sewa_pagination_types);
    }
endif;